For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList available models
      • GETGet grouped models
      • GETList search-capable models
      • GETList configured search providers
      • GETList model configurations
      • POSTCreate model configuration
      • PUTUpdate model configuration
      • DELDelete model configuration
      • PATCHEnable or disable model configuration
      • PATCHSet default model configuration
      • GETGet model configuration usage
      • GETList distinct models in use
Dashboard
LogoLogo
Runtype APIModel Configs

Get grouped models

GET
/v1/model-configs/grouped
GET
/v1/model-configs/grouped
$curl https://api.runtype.com/v1/model-configs/grouped \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "baseModel": "gpt-4",
5 "displayName": "GPT-4",
6 "creator": "openai",
7 "creatorDisplayName": "OpenAI",
8 "tags": [
9 "chat",
10 "completion",
11 "large"
12 ],
13 "contextLength": 8192,
14 "maxOutputTokens": 2048,
15 "providers": [
16 {
17 "provider": "openai",
18 "providerDisplayName": "OpenAI",
19 "modelId": "gpt-4",
20 "costPer1kTokens": 0.03,
21 "inputCostPer1kTokens": 0.015,
22 "outputCostPer1kTokens": 0.03,
23 "hasPlatformKey": true,
24 "keyStatus": "platform"
25 },
26 {
27 "provider": "azure",
28 "providerDisplayName": "Azure OpenAI",
29 "modelId": "gpt-4-azure",
30 "costPer1kTokens": 0.035,
31 "inputCostPer1kTokens": 0.0175,
32 "outputCostPer1kTokens": 0.035,
33 "hasPlatformKey": false,
34 "keyStatus": "needs_setup"
35 }
36 ],
37 "lowestCost": 0.03,
38 "isConfigured": true,
39 "configuredProviders": [
40 "openai"
41 ],
42 "configuredConfigs": [
43 {
44 "id": "cfg-1234abcd",
45 "provider": "openai",
46 "modelId": "gpt-4"
47 }
48 ],
49 "reasoningCapability": {
50 "supported": true,
51 "provider": "openai",
52 "supportsReasoningSummary": true,
53 "googleThinkingMode": "budget"
54 },
55 "uiCategory": "chat",
56 "uiPriority": 10
57 }
58 ],
59 "total": 1,
60 "stats": {
61 "totalModels": 1,
62 "uniqueBaseModels": 1,
63 "providersWithPlatformKeys": [
64 "openai"
65 ]
66 }
67}

Get models grouped by base model with all provider options. Supports filtering to configured-only models.

Was this page helpful?
Previous

List search-capable models

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

showAllstringOptional
categorystringOptional
configuredstringOptional

Response

Grouped model catalog
datalist of objects
totalinteger
statsobject

Errors

401
Unauthorized Error
500
Internal Server Error